Module java.desktop
Package javax.swing.plaf.basic

## Class BasicComboBoxUI.ComboBoxLayoutManager

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager

All Implemented Interfaces:
  `LayoutManager`

Direct Known Subclasses:
  `MetalComboBoxUI.MetalComboBoxLayoutManager`

Enclosing class:
  BasicComboBoxUI

    public class BasicComboBoxUI.ComboBoxLayoutManager
    extends Object
    implements LayoutManager

This layout manager handles the 'standard' layout of combo boxes. It puts the arrow button to the right and the editor to the left. If there is no editor it still keeps the arrow button to the right. This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

### Constructor Summary

Constructors
`ComboBoxLayoutManager()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.LayoutManager

`addLayoutComponent, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

### Constructor Detail

#### ComboBoxLayoutManager

    public ComboBoxLayoutManager()